## org.eclipse.datatools.sqltools.sqleditor.internal.editor
Class SQLImageDescriptor

    java.lang.Object
      org.eclipse.jface.resource.DeviceResourceDescriptor
          org.eclipse.jface.resource.ImageDescriptor
              org.eclipse.jface.resource.CompositeImageDescriptor
                  org.eclipse.datatools.sqltools.sqleditor.internal.editor.SQLImageDescriptor

    public class SQLImageDescriptor

extends org.eclipse.jface.resource.CompositeImageDescriptor

Author:
  Hui Cao

Field Summary
`static int` `ERROR` Flag to render the error adornment
`static int` `PORTABLE` Flag to render the portability task adornment
`static int` `WARNING` Flag to render the waring adornment

Constructor Summary
`SQLImageDescriptor(org.eclipse.jface.resource.ImageDescriptor baseImage, int flags, org.eclipse.swt.graphics.Point size)` Creates a new SQLImageDescriptor.

Method Summary
`boolean` `equals(java.lang.Object object)`
`int` `getAdronments()` Returns the current adornments.
`org.eclipse.swt.graphics.Point` `getImageSize()` Returns the size of the image created by calling `createImage()`.
`int` `hashCode()`
`void` `setAdornments(int adornments)` Sets the descriptors adornments.
`void` `setImageSize(org.eclipse.swt.graphics.Point size)` Sets the size of the image created by calling `createImage()`.

Methods inherited from class org.eclipse.jface.resource.CompositeImageDescriptor
`getImageData`

Methods inherited from class org.eclipse.jface.resource.ImageDescriptor
`createFromFile, createFromImage, createFromImage, createFromImageData, createFromURL, createImage, createImage, createImage, createImage, createResource, createWithFlags, destroyResource, getMissingImageDescriptor`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WARNING

    public static final int WARNING

  Flag to render the waring adornment

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Flag to render the error adornment

  See Also:
    Constant Field Values

### PORTABLE

    public static final int PORTABLE

  Flag to render the portability task adornment

  See Also:
    Constant Field Values

Constructor Detail

### SQLImageDescriptor

    public SQLImageDescriptor(org.eclipse.jface.resource.ImageDescriptor baseImage,
                              int flags,
                              org.eclipse.swt.graphics.Point size)

  Creates a new SQLImageDescriptor.

  Parameters:
    `baseImage` - an image descriptor used as the base image
    `flags` - flags indicating which adornments are to be rendered. See `setAdornments` for valid values.
    `size` - the size of the resulting image
  See Also:
    `setAdornments(int)`

Method Detail

### setAdornments

    public void setAdornments(int adornments)

  Sets the descriptors adornments. Valid values are: WARNING `,` ERROR `, `PORTABLE`, or any combination of those.

  `
  Parameters:
    `adornments` - the image descritpors adornments

### getAdronments

    public int getAdronments()

  Returns the current adornments.

  Returns:
    the current adornments

### setImageSize

    public void setImageSize(org.eclipse.swt.graphics.Point size)

  Sets the size of the image created by calling `createImage()`.

  Parameters:
    `size` - the size of the image returned from calling `createImage()`
  See Also:
    `ImageDescriptor.createImage()`

### getImageSize

    public org.eclipse.swt.graphics.Point getImageSize()

  Returns the size of the image created by calling `createImage()`.

  Returns:
    the size of the image created by calling `createImage()`
  See Also:
    `ImageDescriptor.createImage()`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`